﻿package stego.debug
{
    import flash.utils.getTimer;

    /**
     * ...
     * @author Mike Meyer
     */
    public class ProfilerSection
    {
        public var times:int = 0;
        public var min:int = int.MAX_VALUE;
        public var max:int = int.MIN_VALUE;
        public var total:int = 0;
        public function get avg():Number { return total / times; }

        protected var startTime:int = 0;
        protected var running:Boolean = false;

        public function start():void
        {
            if (running)
            {
                throw new Error("I haven't made this thing able to handle recursion yet, sorry!");
            }

            startTime = getTimer();
            running = true;
        }

        public function end():void
        {
            if (!running)
            {
                throw new Error("end without a start???");
            }

            ++times;
            var time:int = getTimer() - startTime;

            min = Math.min(min, time);
            max = Math.max(max, time);
            total += time;
            running = false;
        }
    }

}
