﻿package stego.script.step
{
    import stego.script.Step;

    /**
     * step to block until a condition is met
     * @author Mike Meyer
     */
    public class Condition extends Step
    {
        private var condition:Function;

        /**
         * set it up with it's function to call
         */
        public function Condition(condition:Function)
        {
            this.condition = condition;
        }

        public override function execute(deltaTime:Number):Boolean
        {
            return condition();
        }
    }

}
