﻿package stego.ui
{
    import stego.ui.TextField;

    /**
     * ...
     * @author Mike Meyer
     */
    public class DisappearingText extends TextField
    {
        public var timeRemaining:Number = 1;
        public var fadeTime:Number = 0.5;

        public override function update(deltaTime:Number):void
        {
            super.update(deltaTime);

            if (timeRemaining < 0)
            {
                alive = false;
            }
            else if (timeRemaining < fadeTime)
            {
                alpha = timeRemaining / fadeTime;
                timeRemaining -= deltaTime;
            }
            else if ( timeRemaining > 0)
            {
                alpha = 1;
                timeRemaining -= deltaTime;
            }
        }
    }

}
