﻿package stego.util.music
{
    import flash.events.Event;

    /**
     * ...
     * @author Mike Meyer
     */
    public class MusicEvent extends Event
    {
        public static const EVENT_NEW_SONG:String = "new song";

        public var song:Song;

        public function MusicEvent(type:String, song:Song, bubbles:Boolean = false, cancelable:Boolean = false)
        {
            super(type, bubbles, cancelable);
            this.song = song;
        }

        public override function clone():Event
        {
            return new MusicEvent(type, song, bubbles, cancelable);
        }

        public override function toString():String
        {
            return formatToString("MusicEvent", "type", "song", "bubbles", "cancelable");
        }

    }

}
