package ld20
{
    import flash.display.BitmapData;
    import flash.geom.Point;
    import flash.geom.Rectangle;
    import flash.media.Sound;
    import flash.utils.ByteArray;
    import stego.util.GraphicsUtil;
    public class Embedded
    {
        /* GENERATED CODE START */

        [Embed(source='../../assets/rooms/2.tmx', mimeType='application/octet-stream')]
        private static const _rooms_2:Class;
        public static const rooms_2:XML = byteArrayToXml(new _rooms_2);
        [Embed(source='../../assets/rooms/3.tmx', mimeType='application/octet-stream')]
        private static const _rooms_3:Class;
        public static const rooms_3:XML = byteArrayToXml(new _rooms_3);
        [Embed(source='../../assets/rooms/4.tmx', mimeType='application/octet-stream')]
        private static const _rooms_4:Class;
        public static const rooms_4:XML = byteArrayToXml(new _rooms_4);
        [Embed(source='../../assets/rooms/5.tmx', mimeType='application/octet-stream')]
        private static const _rooms_5:Class;
        public static const rooms_5:XML = byteArrayToXml(new _rooms_5);
        [Embed(source='../../assets/rooms/6.tmx', mimeType='application/octet-stream')]
        private static const _rooms_6:Class;
        public static const rooms_6:XML = byteArrayToXml(new _rooms_6);
        [Embed(source='../../assets/rooms/7.tmx', mimeType='application/octet-stream')]
        private static const _rooms_7:Class;
        public static const rooms_7:XML = byteArrayToXml(new _rooms_7);
        [Embed(source='../../assets/rooms/prewin.tmx', mimeType='application/octet-stream')]
        private static const _rooms_prewin:Class;
        public static const rooms_prewin:XML = byteArrayToXml(new _rooms_prewin);
        [Embed(source='../../assets/rooms/start.tmx', mimeType='application/octet-stream')]
        private static const _rooms_start:Class;
        public static const rooms_start:XML = byteArrayToXml(new _rooms_start);
        [Embed(source = '../../assets/rooms/tileset.png')]
        private static const _rooms_tileset:Class;
        public static const rooms_tileset:BitmapData = new _rooms_tileset().bitmapData;
        [Embed(source='../../assets/rooms/win.tmx', mimeType='application/octet-stream')]
        private static const _rooms_win:Class;
        public static const rooms_win:XML = byteArrayToXml(new _rooms_win);
        [Embed(source = '../../assets/sprites/bullet.png')]
        private static const _sprites_bullet:Class;
        public static const sprites_bullet:BitmapData = new _sprites_bullet().bitmapData;
        [Embed(source = '../../assets/sprites/character.png')]
        private static const _sprites_character:Class;
        public static const sprites_character:BitmapData = new _sprites_character().bitmapData;
        [Embed(source = '../../assets/sprites/weapons.png')]
        private static const _sprites_weapons:Class;
        public static const sprites_weapons:BitmapData = new _sprites_weapons().bitmapData;
        /* GENERATED CODE END */

        /* I have not yet thought of a satisfying way for my script to figure out the font weight part */
        [Embed(source = '../../assets/tuffy/Tuffy.ttf', fontName = "Tuffy")]
        private static const _tuffyFont:Class;
        public static const TuffyFont:String = "Tuffy";

        [Embed(source = '../../assets/tuffy/Tuffy_Bold.ttf', fontName = "TuffyBold", fontWeight="bold")]
        private static const _tuffyFontBold:Class;
        public static const TuffyBoldFont:String = "TuffyBold";

        /** convert a byte array to an XML object */
        private static function byteArrayToXml(ba:ByteArray):XML { return new XML(ba.readUTFBytes( ba.length )); }

        public static const shieldImage:BitmapData = GraphicsUtil.pullOutSpriteImage( Embedded.rooms_tileset, 0, 48, 16, 16 );
        public static const swordImage:BitmapData = GraphicsUtil.pullOutSpriteImage( Embedded.rooms_tileset, 16, 48, 16, 16 );
    }
}




