package stego.collections
{
	/**
     * Simple struct for use with LinkedList.  See comments there.
     * Don't make these yourself!  Go through LinkedList!
     * Also don't mess with value!  The others are for LinkedList!
     * @author Mike Meyer
     */
    public class LinkedListNode
    {
        /**
         * value stored in this node
         */
        public var value:*;

        /**
         * next item in the list.  may be null
         */
        public var next:LinkedListNode;

        /**
         * previous item in the list.  may be null
         */
        public var prev:LinkedListNode;

        /**
         * reference to the list that owns it
         */
        public var list:LinkedList;

        /**
         * constructor
         */
        public function LinkedListNode()
        {
            list = value = next = prev = null;
        }

        /**
         * make this thing lose any references it had to anything else
         */
        public function clear():void
        {
            list = value = next = prev = null;
        }
    }
}
