package stego.constants
{
	/**
     * constants to use when code needs to indicate directions to each other
     * Mainly used for movement behaviors to tell objects which way to walk
     * @author Michael Meyer
     */
    public class Direction
    {
        public static const LEFT:uint = 0;
        public static const RIGHT:uint = 1;
        public static const UP:uint = 2;
        public static const DOWN:uint = 3;
        public static const STOP:uint = 255;
    }
}