package stego.gameobject
{
    /**
     * struct for important information about the tiles ina tilemap
     */
    public class TileData
    {
        /** index into the tileset or -1 if no tiles here */
        public var index:int;
        /** row of the tilemap this is in */
        public var row:int;
        /** column of the tilemap this is in */
        public var col:int;
        /** for adding additional info that may be useful to you */
        public var userData:Object;

        public function TileData(index:int = 0, row:int = 0, col:int = 0, userData:Object = null )
        {
            this.index = index;
            this.row = row;
            this.col = col;
            this.userData = userData;
        }
    }
}
