﻿package stego.script.step
{
    import stego.util.scene.GameObjectHolder;
    import stego.script.Step;

    /**
     * Step to spawn an enemy
     * @author Mike Meyer
     */
    public class SpawnGameObject extends Step
    {
        private var _class:Class;
        private var _howMany:Number;
        private var _layer:GameObjectHolder;

        public function SpawnGameObject(layer:GameObjectHolder, type:Class, howMany:Number = 1)
        {
            _howMany = howMany;
            _class = type;
            _layer = layer;
        }

        public override function execute(deltaTime:Number):Boolean
        {
            for (var i:Number = 0; i < _howMany; ++i)
            {
                _layer.add(_class);
            }

            return true;
        }
    }

}
