﻿package stego.util
{
    import flash.media.Sound;
    import flash.media.SoundChannel;
    import flash.media.SoundTransform;

    /**
     * ...
     * @author Mike Meyer
     */
    public class Sounds
    {
        private static var _muted:Boolean;

        public static function playSound(s:Sound, ch:SoundChannel = null, vol:Number = 1, startTimeInMilliseconds:Number = 0.0):SoundChannel
        {
            if (null != ch)
            {
                ch.stop();
            }

            if (muted)
            {
                vol = 0;
            }

            return s.play(startTimeInMilliseconds, 0, new SoundTransform(vol));
        }

        static public function get muted():Boolean { return _muted; }

        static public function set muted(value:Boolean):void
        {
            _muted = value;
        }
    }
}
